spectral-cube (0.6.7-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * New upstream version 0.6.7 (Closes: #1131085)

  [ Ole Streicher ]
  * Rediff patches. Drop patches that were applied upsream.
  * Push Standards-Version to 4.7.4, remove default priority setting
  * Mark a known failure as xfail
  * Skip test that cannot run on 32-bit

 -- Ole Streicher <olebole@debian.org>  Mon, 25 May 2026 19:17:39 +0200

spectral-cube (0.6.6-6) unstable; urgency=medium

  * Fixed compatibility with joblib 1.5+ (Closes: #1123872)

 -- Ole Streicher <olebole@debian.org>  Sun, 04 Jan 2026 14:32:44 +0100

spectral-cube (0.6.6-5) unstable; urgency=medium

  * Add missing python3-pytest-astropy test dependency
  * d/u/metadata: fix keyword capitalization

 -- Ole Streicher <olebole@debian.org>  Wed, 15 Oct 2025 09:12:34 +0200

spectral-cube (0.6.6-4) unstable; urgency=medium

  [ Phil Wyett ]
  * Convert 'd/watch' to version 5 format.
  * Remove no longer needed 'Rules-Requires-Root: no'. Now is default behavior.
  * Rework 'd/copyright' file.
  * Update 'Standards-Version' to 4.7.2, no changes required.

  [ Ole Streicher ]
  * d/watch: switch upstream to Github
  * Fixed compatibility with recent versions of scipy.ndimage (Closes: #1114721)
  * Loosen expected output of test_smooth_update_function_serial

 -- Ole Streicher <olebole@debian.org>  Sat, 11 Oct 2025 16:18:46 +0200

spectral-cube (0.6.6-3) unstable; urgency=medium

  * Use asser_almost_equal instead of equality assert

 -- Ole Streicher <olebole@debian.org>  Tue, 19 Aug 2025 16:03:04 +0200

spectral-cube (0.6.6-2) unstable; urgency=medium

  * Team Upload
  * Fix one test with precision issue on i386

 -- Alexandre Detiste <tchet@debian.org>  Mon, 27 Jan 2025 10:57:47 +0100

spectral-cube (0.6.6-1) unstable; urgency=medium

  * Team Upload
  * Update d/watch for new PyPi archive naming policy
  * New upstream version 0.6.6
  * Use dh-sequence-python3
  * Refresh patches
  * Add new test dependency: python3-tqdm

 -- Alexandre Detiste <tchet@debian.org>  Sat, 18 Jan 2025 14:04:59 +0100

spectral-cube (0.6.5-7) unstable; urgency=medium

  [ Colin Watson ]
  * mean -> nanmean in failing test (Closes: #1092352)

 -- Ole Streicher <olebole@debian.org>  Fri, 10 Jan 2025 14:12:25 +0100

spectral-cube (0.6.5-6) unstable; urgency=medium

  * Remove six dependency (Closes: #1090171)

 -- Ole Streicher <olebole@debian.org>  Tue, 17 Dec 2024 08:12:11 +0100

spectral-cube (0.6.5-5) unstable; urgency=medium

  * Fix test for Astropy 7

 -- Ole Streicher <olebole@debian.org>  Mon, 25 Nov 2024 23:02:10 +0100

spectral-cube (0.6.5-4) unstable; urgency=medium

  * Don't run LMV test on big endian archs
  * Push Standards-Version to 4.7.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Sat, 08 Jun 2024 14:05:59 +0200

spectral-cube (0.6.5-3) unstable; urgency=medium

  * Replace distutils.LooseVersion with packaging.version (Closes: #1063411)

 -- Ole Streicher <olebole@debian.org>  Wed, 07 Feb 2024 21:46:34 +0100

spectral-cube (0.6.5-2) unstable; urgency=medium

  * Remove obsolete python3-astropy-helpers build dependency

 -- Ole Streicher <olebole@debian.org>  Mon, 25 Dec 2023 20:24:15 +0100

spectral-cube (0.6.5-1) unstable; urgency=medium

  * New upstream version 0.6.5
  * Drop Update-import-of-angular_separation.patch: applied upstream

 -- Ole Streicher <olebole@debian.org>  Mon, 11 Dec 2023 10:19:19 +0100

spectral-cube (0.6.3-3) unstable; urgency=medium

  * Remove remaining references to angular_utilities

 -- Ole Streicher <olebole@debian.org>  Fri, 01 Dec 2023 09:08:37 +0100

spectral-cube (0.6.3-2) unstable; urgency=medium

  * Update import of angular_separation

 -- Ole Streicher <olebole@debian.org>  Thu, 30 Nov 2023 17:07:11 +0100

spectral-cube (0.6.3-1) unstable; urgency=medium

  * New upstream version 0.6.3

 -- Ole Streicher <olebole@debian.org>  Wed, 18 Oct 2023 09:49:46 +0200

spectral-cube (0.6.2-1) unstable; urgency=medium

  * New upstream version 0.6.2
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sat, 24 Jun 2023 12:05:13 +0200

spectral-cube (0.6.0-3) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix tests/FTBFS with numpy
  * Add patch to fix test_proj_imshow

 -- Nilesh Patra <nilesh@debian.org>  Wed, 11 Jan 2023 20:44:01 +0530

spectral-cube (0.6.0-2) unstable; urgency=medium

  * Update test_kernel_smooth to latest github version
    (Closes: #1026720, #1027396)
  * Push Standards-Version to 4.6.2, no changes needed

 -- Ole Streicher <olebole@debian.org>  Wed, 04 Jan 2023 10:46:03 +0100

spectral-cube (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
  * Rediff patches. Drop patches that were applied upstream.
  * Add new build dep python3-casa-formats-io
  * Remove non-essential build dependency python3-aplpy

 -- Ole Streicher <olebole@debian.org>  Thu, 07 Oct 2021 08:29:59 +0200

spectral-cube (0.5.0-4) unstable; urgency=medium

  * Loose warning in parallel execution test (Closes: #994786)

 -- Ole Streicher <olebole@debian.org>  Mon, 27 Sep 2021 11:28:07 +0200

spectral-cube (0.5.0-3) unstable; urgency=medium

  * Improve compatibity of tests to radio-beam package

 -- Ole Streicher <olebole@debian.org>  Thu, 26 Aug 2021 07:52:44 +0200

spectral-cube (0.5.0-2) unstable; urgency=medium

  * Push Standards-Version to 4.6.0. No changes needed
  * Stringy versions of physical types
  * Fix exception type for bad beam test

 -- Ole Streicher <olebole@debian.org>  Tue, 24 Aug 2021 10:49:50 +0200

spectral-cube (0.5.0-1) unstable; urgency=low

  * New upstream version 0.5.0. Rediff patches
  * Add "Rules-Requires-Root: no" to d/control
  * Add dask to build dependencies
  * Copy test data during build
  * Add recreated version.py file to d/clean

 -- Ole Streicher <olebole@debian.org>  Fri, 18 Sep 2020 14:54:10 +0200

spectral-cube (0.4.5-4) unstable; urgency=medium

  * Remove files from dist-packages root that were generated during test

 -- Ole Streicher <olebole@debian.org>  Mon, 22 Jun 2020 10:16:34 +0200

spectral-cube (0.4.5-3) unstable; urgency=medium

  * Build-depend on aplpy (Closes: #963388)
  * Push dh-compat to 13

 -- Ole Streicher <olebole@debian.org>  Mon, 22 Jun 2020 08:21:29 +0200

spectral-cube (0.4.5-2) unstable; urgency=medium

  * Search required warning message in all warnings for test (Closes: #952573)
  * Push Standards-Version to 4.5.0. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Wed, 26 Feb 2020 12:12:04 +0100

spectral-cube (0.4.5-1) unstable; urgency=low

  * New upstream version 0.4.5. Rediff patches
  * Push Standards-Version to 4.4.1. No changes required
  * Remove d/compat
  * Use pytest to run tests

 -- Ole Streicher <olebole@debian.org>  Thu, 05 Dec 2019 08:55:24 +0100

spectral-cube (0.4.4-2) unstable; urgency=low

  * Add tests on salsa
  * Allow stderr on CI tests

 -- Ole Streicher <olebole@debian.org>  Mon, 05 Aug 2019 12:43:25 +0200

spectral-cube (0.4.4-1) unstable; urgency=medium

  * d/watch: allow ~dev in upstream version name
  * New upstream version 0.4.4. Push compat to 12
  * Push Standards-Version to 4.4.0. No changes needed
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Wed, 17 Jul 2019 13:51:06 +0200

spectral-cube (0.4.3-2) unstable; urgency=low

  * Remove Python 2 package
  * Push Standards-Version to 4.2.1. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Mon, 10 Dec 2018 09:55:12 +0100

spectral-cube (0.4.3-1) unstable; urgency=low

  * New upstream version 0.4.3. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 06 Apr 2018 16:05:27 +0200

spectral-cube (0.4.2-1) unstable; urgency=low

  * New upstream version 0.4.2. Rediff patches
  * Update VCS fields to use salsa.d.o
  * Push Standards-Version to 4.1.3. No changes required.
  * Push compat to 11

 -- Ole Streicher <olebole@debian.org>  Fri, 23 Feb 2018 13:47:58 +0100

spectral-cube (0.4.1-3) unstable; urgency=low

  * Also use temp file in test_wcs_utils

 -- Ole Streicher <olebole@debian.org>  Thu, 21 Dec 2017 14:12:50 +0100

spectral-cube (0.4.1-2) unstable; urgency=low

  * Write test output to temporary file to fix CI test

 -- Ole Streicher <olebole@debian.org>  Wed, 20 Dec 2017 10:06:05 +0100

spectral-cube (0.4.1-1) unstable; urgency=low

  * New upstream version 0.4.1
  * Rediff patches
  * Push Standards-Version to 4.1.1. Change d/watch URL to https
  * Add dependency from the radio-beam package

 -- Ole Streicher <olebole@debian.org>  Tue, 24 Oct 2017 10:22:00 -0300

spectral-cube (0.4.0-3) unstable; urgency=medium

  * Push Standards-Version to 4.0.0. No changes required.
  * Provide Astropy-2.0 compatibility (Closes: #868114)

 -- Ole Streicher <olebole@debian.org>  Sat, 29 Jul 2017 11:30:27 +0200

spectral-cube (0.4.0-2) unstable; urgency=medium

  * Add ASCL Id and reference to d/u/metadata
  * Use assert_almost_equal instead of assert_equal in test_twod_numpy
    (Closes: #860620)

 -- Ole Streicher <olebole@debian.org>  Wed, 19 Apr 2017 10:27:20 +0200

spectral-cube (0.4.0-1) unstable; urgency=low

  * New upstream version 0.4.0

 -- Ole Streicher <olebole@debian.org>  Wed, 07 Sep 2016 09:04:35 +0200

spectral-cube (0.3.2-1) unstable; urgency=low

  * New Upstream version 0.3.2

 -- Ole Streicher <olebole@debian.org>  Tue, 12 Jul 2016 21:02:39 +0200

spectral-cube (0.3.1-4) unstable; urgency=medium

  * Use LooseVersion instead of StrictVersion. Closes: #825900

 -- Ole Streicher <olebole@debian.org>  Tue, 31 May 2016 17:51:04 +0200

spectral-cube (0.3.1-3) unstable; urgency=medium

  * Add d/upstream/metadata
  * Correct Vcs-Git URL
  * Use ConfigParser module instead of the one embedded in
    distutils.config. Closes: 825817
  * Update Standards-Version to 3.9.8. No changes needed

 -- Ole Streicher <olebole@debian.org>  Mon, 30 May 2016 15:34:08 +0200

spectral-cube (0.3.1-2) unstable; urgency=low

  * Fix import statement in unit tests

 -- Ole Streicher <olebole@debian.org>  Thu, 04 Feb 2016 16:16:00 +0100

spectral-cube (0.3.1-1) unstable; urgency=low

  * New upstream version
  * Add build time and unit tests

 -- Ole Streicher <olebole@debian.org>  Thu, 04 Feb 2016 13:55:42 +0100

spectral-cube (0.3.0-1) unstable; urgency=low

  * Initial release. (Closes: #802468)

 -- Ole Streicher <olebole@debian.org>  Tue, 20 Oct 2015 13:19:41 +0200
